summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-firewall/tuxguardian/ChangeLog4
-rw-r--r--net-firewall/tuxguardian/Manifest4
-rwxr-xr-xnet-firewall/tuxguardian/tuxguardian-0.5.ebuild13
3 files changed, 12 insertions, 9 deletions
diff --git a/net-firewall/tuxguardian/ChangeLog b/net-firewall/tuxguardian/ChangeLog
index a6a9154cf..1232a43a3 100644
--- a/net-firewall/tuxguardian/ChangeLog
+++ b/net-firewall/tuxguardian/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 26 Apr 2007; B. Thorwirth (Moonstruxx) <Moonstruxx at gmx.de>
+ tuxguardian-0.5.ebuild:
+ Initial ebuild fixes, thanks to genstefan
+
26 Apr 2007; Bjoern Thorwirth (Moonstruxx) <moonstruxx at gmx.de>)
+tuxguardian-0.5.ebuild, +files/Makefile-gentoo-0.5.patch,
+files/tuxguardian.init, +metadata.xml:
diff --git a/net-firewall/tuxguardian/Manifest b/net-firewall/tuxguardian/Manifest
index 6ff8498db..414edcb59 100644
--- a/net-firewall/tuxguardian/Manifest
+++ b/net-firewall/tuxguardian/Manifest
@@ -2,6 +2,6 @@ AUX Makefile-gentoo-0.5.patch 5132 RMD160 8c393e8e7bbad6326afcca21ef949c2628dbc7
AUX tuxguardian.init 489 RMD160 3d375b570e9d02b8431fe4e0e1c3c43522695982 SHA1 f334783f921ca8947e12c9a6898819c594a4e3b1 SHA256 0dec459c199753cff4979a15860ffb1347445baaccb49619b0bffed8809b2ef9
AUX tuxguardian.init~ 489 RMD160 1293f7e7e7a29f4a216a68157bf3ed367c8ba583 SHA1 21a1b783054e50e6d38f962c53fdcde01e6f4b04 SHA256 4dc6bfce3fc7aefe5d66c1aa3967cd93eb657be30879181d2153844bdaf32c15
DIST tuxguardian-0.5.tar.gz 65987 RMD160 cc521df3dc05dbf776e8b61687c45bede37a6d25 SHA1 5713f6e7d237cb8ee4a38e51d16912e29f2b9ff9 SHA256 3e711cad85af8ddbf6492ee08e8d63dce8028cd075d4aac9924884c0325b7e4d
-EBUILD tuxguardian-0.5.ebuild 1906 RMD160 af2f0b2219bed975e9fcabab85376225a7a98c46 SHA1 90691346f655fa32841fcce71ba0d701a5bdbc41 SHA256 51a5ea87cdca327a00f283af738412db6fd8ee53dd90e075b8aa2942a98242ac
-MISC ChangeLog 326 RMD160 986440964246c0521b4ce780335e4fbbb007ea92 SHA1 5534d41fe7b4499f517391be3e692f0bf5419f42 SHA256 019a69c4ecdbbb653632128d768438bb735aa84b3a92b1459b120c5acd973736
+EBUILD tuxguardian-0.5.ebuild 1897 RMD160 c1053852429b45e9f5e335443b8d38c8dfde88c0 SHA1 642c1032dff1dd8a4019d47b5851cd4fdbb2c31c SHA256 ca8d9583d1e8c1b79c82f864236ed269548c7fb9e5eab5005d42b5826d0a7ec5
+MISC ChangeLog 461 RMD160 5937860b4d759d0375a06d7f6342da3aaea1634f SHA1 474f0f5b5399aea02d6426e949bd9b47260a1bbe SHA256 24c99aa7a33554220d288c90a73a2ed40937a36f5cc4eb8bdf919fd440ee3cc9
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-firewall/tuxguardian/tuxguardian-0.5.ebuild b/net-firewall/tuxguardian/tuxguardian-0.5.ebuild
index 925f28cf2..9498392df 100755
--- a/net-firewall/tuxguardian/tuxguardian-0.5.ebuild
+++ b/net-firewall/tuxguardian/tuxguardian-0.5.ebuild
@@ -27,7 +27,8 @@ pkg_setup() {
eerror "${P} needs \"Default Linux Capabilities\" build as module"
die "Kernel config not suitable"
fi
- MODULE_NAMES="tuxg(extra:${S}/module)"
+ MODULE_NAMES="tuxg(extra:${S}/module)"
+ BUILD_PARAMS="KERNEL_SRC=${KERNEL_DIR}"
}
src_unpack() {
unpack ${A}
@@ -41,21 +42,19 @@ src_compile() {
src_install() {
linux-mod_src_install
- emake DESTDIR="${D}" install
+ emake DESTDIR="${D}" install || die "einstall failed"
newinitd "${FILESDIR}"/tuxguardian.init tuxguardian
linux-mod_pkg_preinst
- dodoc README COPYING AUTHORS
-
+ dodoc README COPYING AUTHORS
}
pkg_postinst() {
- elog "Inint script installed. use:"
+ elog "Init script installed. use:"
elog "rc-update add tuxguardian {runlevel} (runlevel e.g. boot)"
elog "Toubleshooting:"
elog "Sometimes it occures, that the module freezes.. Use:"
elog "\"etc/init.d/tuxguardian restart\" to solve this"
- elog "tg-frontend is the frontend to tuxguardian. Unfortunatly it needs superuser rights to run,"
- elog "so you should use visudo to add a rule to your sudoers file. "
+ elog "tg-frontend is the frontend to tuxguardian. Unfortunatly it needs superuser rights to run."
elog "Notice: if you decide not to use the tg-frontend please refer to the documentation, how to"
elog "edit \"/etc/daemon.conf\""
}